<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

function ns_pmpfw_options_group() {
    register_setting('ns_pmpfw_free_options', 'ns_pmpfw_test_mode');
    register_setting('ns_pmpfw_free_options', 'ns_pmpfw_text');
    register_setting('ns_pmpfw_free_options', 'ns_pmpfw_delay');
}
 
add_action ('admin_init', 'ns_pmpfw_options_group');



function ns_pmpfw_update_options_form() {
	$wt_repeat = get_option('ns_pmpfw_test_mode');
	$wt_repeat = get_option('ns_pmpfw_text');
	$wt_repeat = get_option('ns_pmpfw_delay');

    ?>
       <div class="wrap">
        <div class="icon32" id="icon-options-general"><br /></div>
        <h2>NS Product Marketing Popup for WooCommerce settings</h2>
        <p>&nbsp;</p>
        <form method="post" action="options.php" enctype="multipart/form-data">
            <?php settings_fields('ns_pmpfw_free_options'); ?>
            <table class="form-table">
                <tbody>
					<tr valign="top">
						<th class="titledesc" scope="row">
							<label for="ns_pmpfw_test_mode">Test mode</label>
							<div class="ns-tooltip">?<span class="ns-tooltiptext">Apply test mode to view every refresh</span></div>
						</th>
                        <td class="forminp">
							<?php $checked = (get_option('ns_pmpfw_test_mode') AND get_option('ns_pmpfw_test_mode') == 'on') ? ' checked="checked"' : ''; ?>
                            <input type="checkbox" name="ns_pmpfw_test_mode" id="ns_pmpfw_test_mode" <?php echo $checked; ?>>
							<span class="description"></span>
                        </td>
                    </tr>
					<tr valign="top">
						<th class="titledesc" scope="row">
							<label for="ns_pmpfw_text">Text Popup Box</label>
							<div class="ns-tooltip">?<span class="ns-tooltiptext">Insert text for Popup Box</span></div>
						</th>
                        <td class="forminp">
                            <?php wp_editor( get_option('ns_pmpfw_text'), 'ns_pmpfw_text', $settings = array('textarea_name'=>'ns_pmpfw_text') ); ?>
							<span class="description"></span>
                        </td>
                    </tr>
					<tr valign="top">
						<th class="titledesc" scope="row">
							<label for="ns_pmpfw_delay">Popup Box Delay</label>
							<div class="ns-tooltip">?<span class="ns-tooltiptext">Insert delay of Popup Box</span></div>
						</th>
                        <td class="forminp">
                            <input type="text" name="ns_pmpfw_delay" id="ns_pmpfw_delay" value="<?php echo get_option('ns_pmpfw_delay'); ?>">
							<span class="description"></span>
                        </td>
                    </tr>
                </tbody>
            </table>
			<p class="submit">
				<input type="submit" class="button-primary" id="submit" name="submit" value="<?php _e('Save Changes'); ?>" />
			</p>
        </form>
    </div>
    <?php
}

?>